View Issue Details

IDProjectCategoryView StatusLast Update
0001911SOGo Native Outlook Compatibility (obsolete)public2012-09-26 09:29
Reporteroooo1 Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.0.0beta4 
Target VersionFixed in Version 
Summary0001911: Openchange provisioning at Openchange branch verison after at least 4083 gives an error.
Description

Openchange provisioning (not openchnagedb) gives error:
[+] Step 1: Register Exchange OIDs
ERROR: no 'top' class in loaded schema
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')

Checked with Samba4 beta1, beta4, beta5.

Provision.py from at least 4083 Openchange branch version is run without this error.

TagsNo tags attached.

Activities

oooo1

oooo1

2012-08-05 13:12

reporter   ~0004257

If Openchange provisioning of 4087 branch version is made by script from 4083 version, there are not any errors dirung that but while Global address book are opened in MS Outlook, it generates error: "The bookmark is invalid" .
There is some error detils form well known site:
http://support.microsoft.com/default.aspx?scid=kb;en-us;883728

If Openchange provisioning of 4087 branch version is made by script from 4087 version, there is error:
[+] Step 1: Register Exchange OIDs
ERROR: no 'top' class in loaded schema
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')
but there are not troubles while openning of Global address book in MS Outlook.

wsourdeau

wsourdeau

2012-08-06 09:58

viewer   ~0004261

Do you mean that the issue is now fixed for you?

oooo1

oooo1

2012-08-06 11:14

reporter   ~0004264

I don' t know exactly at the moment whether it is affected to something in working. But I suppose, some additional investigation is necassary, I think rather not solved or fixed.

oooo1

oooo1

2012-08-06 17:53

reporter   ~0004276

Last edited: 2012-08-06 21:01

While provisioning of Openchange of 4090 branch version by provision script from the version, there has been new error message:

NOTE: This operation can take several minutes
[+] Step 1: Register Exchange OIDs
ERROR: no subClassOf 'serviceAdministrationPoint' for 'rRASAdministrationConnectionPoint'
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')

And again there is error while provisioning but there are not any visible errors while working after provisioning.

oooo1

oooo1

2012-08-09 17:16

reporter   ~0004310

The same error is in 4106 version:
ERROR: no subClassOf 'serviceAdministrationPoint' for
rRASAdministrationConnectionPoint'
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')

sebblin

sebblin

2012-09-18 04:42

reporter   ~0004483

I have the same error with the latest version.

NOTE: This operation can take several minutes
[+] Step 1: Register Exchange OIDs
ERROR: no subClassOf 'serviceAdministrationPoint' for 'rRASAdministrationConnectionPoint'
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')
[+] Step 2: Add Exchange attributes to Samba schema
[+] Step 3: Add Exchange auxiliary classes to Samba schema
[+] Step 4: Add Exchange objectCategory to Samba schema
[+] Step 5: Add Exchange containers to Samba schema
[+] Step 6: Add Exchange sub containers to Samba schema
[+] Step 7: Add Exchange CfgProtocol subcontainers to Samba schema
[+] Step 8: Add Exchange mailGateway subcontainers to Samba schema
[+] Step 9: Add Exchange classes to Samba schema
[+] Step 10: Add possSuperior attributes to Exchange classes
[+] Step 11: Extend existing Samba classes and attributes
[+] Step 12: Exchange Samba with Exchange configuration objects
[+] Step 13: Finalize Exchange configuration objects
[SUCCESS] Done!

ludovic

ludovic

2012-09-26 09:29

administrator   ~0004559

I've just tested our nightly builds on RHEL 5 and it works. The output I get from openchange_provision is:

[root@localhost ~]# openchange_provision
NOTE: This operation can take several minutes
[+] Step 1: Register Exchange OIDs
ERROR: no subClassOf 'serviceAdministrationPoint' for 'rRASAdministrationConnectionPoint'
[!] error while provisioning the prefixMap: (31, 'WERR_GENERAL_FAILURE')
[+] Step 2: Add Exchange attributes to Samba schema
[+] Step 3: Add Exchange auxiliary classes to Samba schema
[+] Step 4: Add Exchange objectCategory to Samba schema
[+] Step 5: Add Exchange containers to Samba schema
[+] Step 6: Add Exchange sub containers to Samba schema
[+] Step 7: Add Exchange CfgProtocol subcontainers to Samba schema
[+] Step 8: Add Exchange mailGateway subcontainers to Samba schema
[+] Step 9: Add Exchange classes to Samba schema
[+] Step 10: Add possSuperior attributes to Exchange classes
[+] Step 11: Extend existing Samba classes and attributes
[+] Step 12: Exchange Samba with Exchange configuration objects
[+] Step 13: Finalize Exchange configuration objects
[SUCCESS] Done!

This "error" can be safely ignored.

Issue History

Date Modified Username Field Change
2012-08-04 18:37 oooo1 New Issue
2012-08-05 13:12 oooo1 Note Added: 0004257
2012-08-06 09:58 wsourdeau Note Added: 0004261
2012-08-06 10:00 wsourdeau Status new => feedback
2012-08-06 11:14 oooo1 Note Added: 0004264
2012-08-06 17:53 oooo1 Note Added: 0004276
2012-08-06 21:01 oooo1 Note Edited: 0004276
2012-08-09 17:16 oooo1 Note Added: 0004310
2012-09-18 04:42 sebblin Note Added: 0004483
2012-09-26 09:29 ludovic Note Added: 0004559
2012-09-26 09:29 ludovic Status feedback => closed
2012-09-26 09:29 ludovic Resolution open => no change required